## org.apache.xml.serialize
Class LineSeparator

    java.lang.Object
      |
      +--org.apache.xml.serialize.LineSeparator

public final class LineSeparator
extends java.lang.Object

Version:
  $Revision: 1.3 $ $Date: 2000/08/30 18:59:21 $
Author:
  Assaf Arkin
See Also:
  `OutputFormat`

Field Summary
`static java.lang.String` `Macintosh` Line separator for Macintosh systems (`\r`).
`static java.lang.String` `Unix` Line separator for Unix systems (`\n`).
`static java.lang.String` `Web` Line separator for the Web (`\n`).
`static java.lang.String` `Windows` Line separator for Windows systems (`\r\n`).

Constructor Summary
`LineSeparator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Unix

    public static final java.lang.String Unix

  Line separator for Unix systems (`\n`).

### Windows

    public static final java.lang.String Windows

  Line separator for Windows systems (`\r\n`).

### Macintosh

    public static final java.lang.String Macintosh

  Line separator for Macintosh systems (`\r`).

### Web

    public static final java.lang.String Web

  Line separator for the Web (`\n`).

Constructor Detail

### LineSeparator

    public LineSeparator()

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.